variable "create_preauthorized_scanner" {
  description = "Flag for creating pre-authed scanner instance"
  type        = bool
  default     = true
}

variable "create_standard_scanner" {
  description = "Flag for creating standard scanner instance"
  type        = bool
  default     = true
}

variable "personalization_codes" {
  description = "Magic values from qualys authorizing the scanners"
  type        = map
  default     = { }
}

variable "subnets" {
  type = list(string)
}

variable "vpc_id" {
  type = string
}

variable "proxy" {
  type = string
  default = ""
}

variable "tags" {
  description = "Tags to add to the resource (in addition to global standard tags)"
  type        = map
  default     = { }
}

variable "reverse_enabled" {
  description = "Whether to create the reverse DNS entry."
  type = bool
  default = true
}


variable "dns_info" { type = map }

variable "standard_tags" { type = map }
variable "environment" { type = string }
variable "aws_region" { type = string }
variable "aws_partition" { type = string }
